Subject: bug#18873: closed (Re: bug#18873: 25.0.50; EMACS crashes at startup on Window7 with Eacute in HOME path)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Oct 2014 17:56:02 +0000

Your bug report

#18873: 25.0.50; EMACS crashes at startup on Window7 with Eacute in HOME path

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18873
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18873: 25.0.50; EMACS crashes at startup on Window7 with Eacute in HOME path
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 28 Oct 2014 19:55:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 28 Oct 2014 18:48:32 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Thanks, but please try to provide a Lisp-level backtrace as well (it
> will happen automatically if you arrange for .gdbinit to be read, as
> suggested by GDB:

Actually, don't bother: I succeeded in simulating that situation on my
machine, and fixed the problem in revision 117629 on the emacs-24
branch.

Closing.

Subject: 25.0.50; EMACS crashes at startup on Window7 with Eacute in HOME path
From: Vincent Belaïche <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 28 Oct 2014 17:39:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

 Hello,

I have installed a fairly Emacs from source (I think that the bzr
update was of 2014-10-25) on a Windows7 machine. My son Émile has an
account on this machine. The first letter of Émile is a capital E acute,
coded as  &Eacute; HTML, or \'E in TeX. His account is not an
administrator account, but a plain user account.

Now, when I start Emacs from his account, it immediately crashes. HOME
is by default on his account the following path (with Émile inside it):

      c:/Users/Émile/AppData/Roaming

Attached is a gdb log of the crashes.

  VBR,
     Vincent.

PS: I send this from a cybercafe, I have not any phone or internet until next Friday.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-25 on AIGLEROYAL
Repository revision: 118043 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=c:/Nos_Programmes/GNU/Emacs --without-jpeg
 --without-tiff --without-gif --without-png 'CPPFLAGS= -DFOR_MSW=1 -I
 c:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/include -I
 c:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/src -L
 c:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/src''

Configured features:
SOUND NOTIFY ACL ZLIB

Important settings:
  value of $LANG: FRA
  locale-coding-system: cp1252

Major mode: Emacs-Lisp

Minor modes in effect:
  TeX-PDF-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> C-SPC <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> M-w C-x b <return> <up> 
<up> <up> <up> <up> <up> <return> <return> <up> C-y 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <C-right> <C-right> <C-right> <C-right> s C-x 
C-s <C-left> <C-left> C-SPC <end> <C-left> <C-left> 
<C-left> <C-left> <C-left> <C-left> <C-right> M-w C-x 
C-f C-a C-y C-k <tab> <C-left> <C-left> <C-left> <C-left> 
<C-left> <left> C-k <tab> <tab> i n s <tab> <tab> a 
<tab> a <tab> C-a C-k C-g <C-left> <C-left> <C-left> 
<C-left> <C-left> <C-left> <C-left> C-y C-SPC <C-right> 
<C-right> <C-right> <C-right> <C-right> <C-right> <C-right> 
C-w C-x C-s M-x e v a l - b u f <tab> <return> C-x 
b <return> <C-home> C-s l o a d - p a C-s C-s C-s C-a 
C-SPC <end> M-w C-x b <return> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<down> <return> <return> C-y <C-left> <C-left> <C-left> 
<C-left> <left> s <C-left> <C-left> C-x d <M-backspace> 
<M-backspace> <M-backspace> c : / P r <tab> m <tab> 
g n <tab> <backspace> <backspace> <tab> G <tab> <backspace> 
<tab> <tab> <backspace> C-a <right> <right> <right> 
N <tab> G <tab> N <tab> e m <tab> - <tab> l <tab> <tab> 
C-a C-k C-g C-y C-SPC <left> C-SPC <end> <left> <left> 
C-w <end> C-x C-e C-x C-s M-x <up> <return> C-x C-f 
C-a C-a C-k c : / U S <tab> A <tab> d <tab> D <tab> 
o <tab> c <tab> <tab> e s s <tab> . t <tab> <return> 
<down> <down> <down> <down> <down> <down> ² ² ² <backspace> 
<backspace> <backspace> C-x C-s M-x e <backspace> r 
e p o r <tab> <return>

Recent messages:
("c:/Nos_Programmes/GNU/emacs-extension/lisp" "." "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/vc" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/url" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/textmodes" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/progmodes" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/play" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/org" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/nxml" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/net" "c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/mh-e" ...)
Saving file c:/Users/Administrateur/AppData/Roaming/.emacs.d/init.el...
Wrote c:/Users/Administrateur/AppData/Roaming/.emacs.d/init.el
Loading c:/Users/Administrateur/AppData/Roaming/.emacs.d/etc/custom.el (source)...done
Making completion list... [4 times]
File mode specification error: (error "Invalid image type `xpm'")
Applying style hooks...
image-type: Invalid image type `xpm'
Saving file c:/Users/Administrateur/AppData/Roaming/.emacs.d/init.el...
Wrote c:/Users/Administrateur/AppData/Roaming/.emacs.d/init.el

Load-path shadows:
c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/progmodes/cc-compat hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/obsolete/cc-compat

Features:
(tex-bar tex-buf toolbar-x noutline outline font-latex byte-opt bytecomp
byte-compile cconv latex easy-mmode edmacro kmacro tex-style tex crm
advice tex-mode latexenc tex-mik preview-latex tex-site auto-loads
cus-edit cus-start cus-load info help-mode pp shadow sort gnus-util
mail-extr emacsbug message format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr
mail-utils find-dired grep compile make-mode vc-git misearch
multi-isearch pcmpl-unix shell pcomplete comint ansi-color ring
perl-mode dired-aux sh-script smie executable dired recentf tree-widget
wid-edit cl-loaddefs cl-lib easymenu time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table w32-win w32-vars tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 233988 21621)
 (symbols 32 26383 4)
 (miscs 32 435 521)
 (strings 16 41290 13835)
 (string-bytes 1 1107749)
 (vectors 8 24704)
 (vector-slots 4 1284720 7538)
 (floats 8 105 420)
 (intervals 28 8751 40)
 (buffers 520 38))